Skip to content

Find all trade conditions

GET
/v1/api/trade-conditions

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Header Parameters

x-channel

Channel code for filtering. If absent, returns all (global mode).

Type
string

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.scope

Filter by scope query param.


Format: filter.scope={$not}:OPERATION:VALUE



Example: filter.scope=$not:$like:John Doe&filter.scope=like:John


Available Operations

  • $eq

Type
array
filter.status

Filter by status query param.


Format: filter.status={$not}:OPERATION:VALUE



Example: filter.status=$not:$like:John Doe&filter.status=like:John


Available Operations

  • $eq

Type
array
filter.validFrom

Filter by validFrom query param.


Format: filter.validFrom={$not}:OPERATION:VALUE



Example: filter.validFrom=$not:$like:John Doe&filter.validFrom=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.validTo

Filter by validTo query param.


Format: filter.validTo={$not}:OPERATION:VALUE



Example: filter.validTo=$not:$like:John Doe&filter.validTo=like:John


Available Operations

  • $gte
  • $lte
Type
array
filter.discountType

Filter by discountType query param.


Format: filter.discountType={$not}:OPERATION:VALUE



Example: filter.discountType=$not:$like:John Doe&filter.discountType=like:John


Available Operations

  • $eq

Type
array
filter.type

Filter by type query param.


Format: filter.type={$not}:OPERATION:VALUE



Example: filter.type=$not:$like:John Doe&filter.type=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • name
Type
array
search

Search term to filter result values


Example: John



Default Value: No default value

Type
string
searchBy

List of fields to search by term to filter result values


Example: name



Default Value: By default all fields mentioned below will be used to search by term


Available Fields

  • name

Type
array

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Headers
Variables
Key
Value

Samples

Powered by VitePress OpenAPI